﻿Public Class Form1

    'Should be clear that if the user clicks a button it adjusts the size of the Haptek window.
    'Note that this is inclusive of the form's border and menu bar, so to get an exact Haptek window size you would
    'want to adjust the figures a little.
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Form2.Width = 500
        Form2.Height = 500
        Form2.Show()
    End Sub

    'Same as above but smaller window.
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Form2.Width = 300
        Form2.Height = 300
        Form2.Show()
    End Sub

    'Assuming you have the Haptek player in the default directory on your hard drive this should load the standard figure that comes with the player.
    'Note that you should always put the file name in [] if there are spaces in the filename.
    'More often with models you would want to load an HTR file. Simply use this kind of thing depending on where you model is:
    'Form2.AxActiveHaptekX1.HyperText = "\load [file=[C:\Path_To_My_Model\MyModel.htr]]"
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Form2.AxActiveHaptekX1.HyperText = "\load [file=[C:\Program Files\Haptek\player\data\standard\standardStartup.hap]]"
    End Sub

    'Simple enough - this loads a background colour, in this case a dull grey.  r,g and b are in the range 0.0 - 1.0
    'You can use the same command to load a background image - see the SDK.
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Form2.AxActiveHaptekX1.HyperText = "\loadbackground [r=0.5 g=0.5 b=0.5]"
    End Sub

    'Sends a line of text to the player to be spoken the hardcoded way.
    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Form2.AxActiveHaptekX1.HyperText = "\q2[s0=[Yes I can speak too!]]"
    End Sub

    'Sends a line of text based on user input.
    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        Form2.AxActiveHaptekX1.HyperText = "\q2[s0=[" & TextBox1.Text & "]]"
    End Sub
End Class
